Uses CFG
Uses User

Const 	ProgName	=	'Murder Mansion'
Const	ProgVer		=	'v2.0'
Const	ProgAuth	=	'Darryl Perry, (c) 2012'
Const	MapFile		=	'mansion.map'
Const	ItemFile	=	'mansion.itm'

// Room Variables
var RoomName	: String
Var RoomNorth	: Integer
Var RoomSouth	: Integer
Var RoomEast	: Integer
Var RoomWest	: Integer
Var RoomUp	: Integer
Var RoomDown	: Integer

// Player Variables
Var PlyrName	: String
Var PlyrRoom	: Integer
Var PlyrEnmy	: String	
Var PlyrErm	: Integer
Var PlyrMoves	: Integer
Var PlyrDate	: String

// Item Variables
Var ItemName	: String
Var ItemNum	: Integer
Var ItemLoc	: Integer
Var ItemType	: Integer
Var ItemOpp	: Integer

Var WhoHere	: String	
Var NumRooms	: Integer
Var UserCnt	: Integer
Var RoomCnt	: Integer
Var ItemCnt	: Integer
Var WeaCnt	: Integer

// Attack and Fight variables
Var EDef	: Integer
Var EDefStr	: String
Var EOff	: Integer
Var EOffStr	: String	
Var PDef	: Integer
Var PDefStr	: String
Var POff	: Integer
Var POffStr	: String	

// General Variables
Var I1		: Integer
Var I2		: Integer
Var I3		: Integer
Var Ch1		: Char
Var Ch2		: Char
Var Found1	: Boolean
Var Found2	: Boolean
Var Done1	: Boolean
Var Done2	: Boolean
Var Ttxt1	: String
Var Ttxt2	: String
Var FileDate	: String
Var Today	: String
Var NewsF	: String
Var OldsF	: String
Var HasAsked	: Boolean
VAr TellItem	: String
Var TellRoom	: String
Var Rd,Rd1	: Integer


// File Paths
Var F1		: String
Var F2		: String
Var F3		: String
Var F4		: String
Var F5		: String
Var F9		: String


Procedure SaveNews ( ttxt : string )
Var f7 : File
Begin
	fassign(f7,F2,66)
	If Not FileExist (f2) Then Begin
		frewrite(f7)
	End Else Begin
		fReset(f7)
		fseek(f7,fsize(f7))
	End
	fWriteLn(f7,ttxt)
	fclose(f7)
End

Procedure ParseItemStr( Line : String)
Begin
	ItemNum :=Str2Int(WordGet(1,Line,':'))
	ItemType:=Str2Int(WordGet(2,Line,':'))
	ItemOpp :=Str2Int(WordGet(3,Line,':'))
	ItemLoc :=Str2Int(WordGet(4,Line,':'))
	ItemName:=WordGet(5,Line,':')
End

Procedure ParseRoomStr ( Line : String )
Begin
	RoomNorth:=Str2Int(WordGet(1,Line,':'))
	RoomSouth:=Str2Int(WordGet(2,Line,':'))
	RoomEast :=Str2Int(WordGet(3,Line,':'))
	RoomWest :=Str2Int(WordGet(4,Line,':'))
	RoomUp   :=Str2Int(WordGet(5,Line,':'))
	RoomDown :=Str2Int(WordGet(6,Line,':'))
	RoomName :=WordGet(7,Line,':')
End

Function ReadItem ( ItemNo : Integer ) : Integer
Var A1	: Integer
Var A2	: Integer
Var ff4 : File
Begin
	If Not fileExist(F4) Then Begin
		WriteLn('|CRFatal Error: '+F4+' not found!')
		WriteLn('Please inform your sysop!')
		Pause
		Halt
	End Else Begin
		A2:=0
		fassign(ff4,F4,66)
		freset(ff4)
		For A1:=1 to ItemNo Do Begin
			If fEof(ff4) Then
				A2:=9
			Else Begin
				fReadLn(ff4,Ttxt1)
				A2:=1
			End
		End
		fClose(ff4)
		ParseItemStr(Ttxt1)
	End
	ReadItem:=A2
End

Procedure SaveItem ( ItemNo : Integer ) 
Var A1	: Integer
Var ff5 : file
Var ff4 : file
Begin
	If fileExist(F5) Then
		fileErase(F5)
	If Not fileexist(F4) Then
		exit
	Else Begin
		A1:=1
		fassign(ff4,F4,66)
		fReset(ff4)
		fassign(ff5,F5,66)
		fReWrite(ff5)
		While Not fEof(ff4) Do Begin
			fReadLn(ff4,Ttxt1)
			If A1 = ItemNo Then 
				Ttxt1:=Int2Str(ItemNum) + ':' + Int2Str(ItemType) + ':' + Int2Str(ItemOpp) + ':' + Int2Str(ItemLoc) + ':' + ItemName
			fWriteLn(ff5,Ttxt1)
			A1:=A1+1
		End
		fClose(ff4)
		fClose(ff5)
	End
	If fileExist(F4)	Then	fileErase(F4)	
	If fileCopy(F5,F4)	Then	
		If FileExist(F4) Then 
			fileErase(F5)	
		Else
			Write('File Copy '+F4+' Failed!')
End

Function ReadRoom ( RoomNo : Integer ) : Integer
Var A1	: Integer
Var A2	: Integer
Var FF1 : File
Begin
	If Not fileExist(F1) Then begin
		WriteLn('|CRFatal Error: '+F1+' not found!')
		WriteLn('Please inform your sysop!')
		Pause
		Halt
	End Else Begin
		A2:=0
		fassign(ff1,F1,66)
		freset(ff1)
		For A1:=1 to RoomNo Do Begin
			If fEof(FF1) Then
				A2:=0
			Else Begin
				fReadLn(FF1,Ttxt1)
				A2:=1
			End
		End
		fClose(ff1)
		ParseRoomStr(Ttxt1)
	End
	ReadRoom:=A2
End

Procedure ListInv
Begin
	Found2:=False
	WriteLn('|14You are carrying')
	I1:=1
	While ReadItem(I1) = 1 Do Begin
		If ItemLoc = 0 Then Begin
			WriteLn('   |06(|14'+Int2Str(ItemNum)+'|06)|11 '+ItemName)
			Found2:=True
		End
		I1:=I1+1
	End
	If Not Found2 Then
		WriteLn('   |12Nothing!')
End

Procedure InitNews
Begin
	FileDate:='00/00/00'
	FindFirst(F2,66)
	If doserror = 0 Then Begin
		FileDate:=DateStr(DirTime,1)	
		FindClose
	End

	If FileDate <> Today then Begin
		If fileExist(F9) Then Begin
			fileErase(F9)	
		End
		If FileExist(F2) Then Begin
			If FileCopy(F2,F9) Then Begin 
				fileErase(F2)
			End
		End
	End
	If Not fileExist(F2) Then Begin
		SaveNews('|CL  |13-=-=-=- |06Murder Mansion Minstral |13-=-=-=- ')
		SaveNews('  |12All The News That''s Print To Fit, For ' + today)
		SaveNews('')
	End	
End

Procedure InitGame
Var B : Boolean
Begin
	Dispfile('mansion')
	Pause
	Today:=DateStr(DateTime,1)
	fileCopy(F3,F4) 
	If fileExist(F4) Then	
		I1:=1	
	Else Begin
		WriteLn('Unable to copy file')
		Writeln(F3 + ' to ' + F4 + '|CR|PA')
	End
	// Count how many BBS users we have to choose from to stalk
	UserCnt:=1
	WriteLn('|CRLoading Players...')
	While GetUser(UserCnt) Do Begin
		UserCnt:=UserCnt+1
	End
	UserCnt:=UserCnt-1

	WriteLn('|CRLoading Rooms...')
	// Count how many rooms we have
	RoomCnt:=1
	While ReadRoom(RoomCnt) = 1 Do Begin
		RoomCnt:=RoomCnt+1
	End
	RoomCnt:=RoomCnt-1

	ItemCnt:=1
	WeaCnt:=0
	While ReadItem(ItemCnt) = 1 Do Begin
		ItemCnt:=ItemCnt+1
		If ItemType > WeaCnt Then Begin
			WeaCnt:=ItemType
		End
	End

	ItemCnt:=ItemCnt-1

	WeaCnt:=WeaCnt/2
	InitNews
End

Function FindEnemy : String
Var CX : Char
Begin
	done2:=false
	WriteLn('|CL|CR|11Select your enemy, or chose one at random?')
	Write  ('|11Select |12(|14C|12)|11hoose, |12(|14R|12)|11andom : ')
	
	CX:=OneKey('CR',true) 
	If CX = 'R' Then Begin
		While GetUser(Random(UserCnt)+1) And StripMCI(UserAlias) = StripMCI(PlyrName) Do 
			PlyrName:=PlyrName
		FindEnemy:=StripMci(UserAlias)
	End
	If CX = 'C' Then Begin
		While not done2 Do Begin
			Write('|CRName of user to stalk (?=List): ')
			Ttxt1:=Input(30,30,12,'')
			I1:=1
			If Ttxt1='?' Then 
				MenuCmd('GU','search')
			Else Begin
				While GetUser(I1) and not done2 Do Begin
					Ttxt2:=Upper(UserAlias)
					If Pos(Ttxt1,Ttxt2) > 0 Then Begin
						If InputYN('|CRDo You Mean ' + UserAlias + '? ') Then Begin
							FindEnemy:=StripMCI(UserAlias)	
							done2:=TRUE
						End
					End
					I1:=I1+1
				End	
			End
		End
	End
End

Procedure MakeWhoHere
Var Boo:boolean
Begin
	If PlyrErm = PlyrRoom Then
		WhoHere:=PlyrEnmy
	Else Begin
		If Random(100) <= 60 Then 
			WhoHere:='NOBODY'
		Else Begin
			repeat
				Boo:=GetUser(Random(UserCnt))
			until UserAlias <> PlyrName and UserAlias <> PlyrEnmy
			WhoHere:=UserAlias
		End
	End
End

Procedure InitPlyr
Var TO:Integer
Begin
	GetThisUser
	PlyrName:=UserAlias
	PlyrMoves:=0
	PlyrRoom:=1
	PlyrEnmy:=FindEnemy
	PlyrErm:=Random(RoomCnt)
	PlyrDate:=DateStr(DateTime,1)
	I1:=1
	While ReadItem (I1) = 1 Do Begin
		ItemLoc:=Random(RoomCnt)
		SaveItem(I1)
		I1:=I1+1
	End	
	Done2:=False
	While Not done2 Do Begin
		I3:=Random(ItemCnt)
		If ReadItem(I3) = 1 and ItemType <= WeaCnt Then Begin
			ItemLoc:=500
			SaveItem(I3)
			Done2:=True
		End
	End
	TO:=1
	Done2:=False
	While not done2 And TO < 10 Do Begin
		I3:=Random(ItemCnt)
		If ReadItem(I3) = 1 and ItemType > WeaCnt Then Begin
			ItemLoc:=500
			SaveItem(I3)
			Done2:=True
		End
		TO:=TO+1
	End
	If TO >= 10 Then
		WriteLn('Failed to pick a piece of armor|CR|PA')
	MakeWhoHere

	WriteLn('|CL|CR|CR                         |14You have a ')
	WriteLn('')
	WriteLn('                         |DE|11Burning Desire to')
	WriteLn('')
	WriteLn('                         |DE|12Find and Kill....')
	WriteLn('')
	WriteLn('                         |DE.|DE.|DE.|14' + PlyrEnmy+'!')
	Pause
End

Procedure WhereAreWe
Begin
	Write('|CL|CR|06We Are |14')
	If ReadRoom(PlyrRoom) = 1 Then
		WriteLn(RoomName)
	Else
		WriteLn('<ERROR>')
End

Procedure WeCanGoTo
Begin
	Write('|CR|06We Can Go ')
	If 	RoomNorth > 0 Then	Write('|06(|14N|06)|11orth ')	
	If	RoomSouth > 0 Then	Write('|06(|14S|06)|11outh ')	
	If	RoomEast  > 0 Then	Write('|06(|14E|06)|11ast ')	
	If	RoomWest  > 0 Then	Write('|06(|14W|06)|11est ')
	If	RoomUp    > 0 Then	Write('|06(|14U|06)|11p ')
	If	RoomDown  > 0 Then	Write('|06(|14D|06)|11own ')
	WriteLn('')
End

Procedure GoDir( direct : string )
Var A1	: Integer
Begin
	A1:=PlyrRoom
	If     Direct = 'NORTH' and RoomNorth > 0 Then
		PlyrRoom:=RoomNorth
	Else If Direct = 'SOUTH' and RoomSouth > 0 Then
		PlyrRoom:=RoomSouth
	Else If Direct = 'EAST' and RoomEast> 0 Then
		PlyrRoom:=RoomEast
	Else If Direct = 'WEST' and RoomWest> 0 Then
		PlyrRoom:=RoomWest
	Else If Direct = 'UP' and RoomUp > 0 Then
		PlyrRoom:=RoomUp
	Else If Direct = 'DOWN' and RoomDown > 0 Then
		PlyrRoom:=RoomDown
	Else Begin
		WriteLn('|CRYou Can''t Go That Way!')
		Pause
	End
	If A1 <> PlyrRoom Then Begin
		PlyrMoves:=PlyrMoves+1
		MakeWhoHere
	End
	Rd:=0
	Rd1:=0
	TellItem:=''
	TellRoom:=''
End

Procedure ThingsISee
Begin
	Found1:=False
	Write('|CR|06Things That Are Here:')
	I1:=1
	While ReadItem(I1) = 1 Do Begin
		If ItemLoc = PlyrRoom then Begin
			Write(' |06(|14'+Int2Str(ItemNum)+'|06) |11' + ItemName)
			Found1:=True
		End
		I1:=I1+1
	End
	If not Found1 Then Begin
		Write(' |12NOTHING!')
	End
	WriteLn('')
End

Procedure DropItem
Begin
	ListInv
	Write('|CR|11Drop Which Item? ')
	I1:=Str2Int(Input(4,4,11,''))
	If I1 < 1 Then Exit 
	If ReadItem(I1) = 1 Then Begin
		If ItemLoc = 0 Then Begin
			ItemLoc:=PlyrRoom
			SaveItem(I1)
		End
		If ItemLoc <> 0 Then Begin
			WriteLn('|CRYou Don''t Seem To Be Carrying That!')
			Pause
		End
	End
End

Procedure TakeItem
Begin
	I1:=1
	I3:=0
	While ReadItem(I1) = 1 Do Begin
		If ItemLoc = 0 Then
			I3:=I3+1
		I1:=I1+1
	End
	If I3 > 4 Then Begin
		WriteLn('|CRYour Hands Are Full')
		WriteLn('|CRYou Need To Drop Someting First!')
		Pause
		Exit
	End
	Write('|CRTake which Item? ')
	I1:=Str2Int(Input(4,4,1,''))
	If I1<1 Then	Exit 	
	If ReadItem(I1) = 1 Then Begin
		If ItemLoc <> PlyrRoom Then 
			WriteLn('|CRThat item is not here!|CR|PA')
		Else Begin
			ItemLoc:=0
			SaveItem(I1)
			WriteLn('|CRYou now have the '+ItemName)
			Pause
		End	
	End
End

Procedure YourInfo
Begin
	WriteLn('|CL'+ProgName + ' ' + ProgVer + ' by ' + ProgAuth)
	WriteLn('|CR|CR|10Your Info')
	WriteLn('        |11You Have Used |14' + Int2Str(PlyrMoves) + '|11 Moves')
	WriteLn('        |11You have an urge to kill |14'+PlyrEnmy)
	ListInv	
	Pause
End

Procedure PeopleISee
Begin
	Write('|CR|06People I See Here : |14')
	WriteLn(WhoHere)
End

Procedure HearPlyr
Begin
	If WhoHere = 'NOBODY' Then 
		WriteLn('|CR|12There is nobody here to ask!')
	Else Begin
		WriteLn('|CRYou ask ' + WhoHere + ' if ' + PlyrEnmy + ' has been seen.|10')

		// Check if asked before, Repeat same
		// answer if previously asked.
		If Rd < 1 Then Rd:=Random(100)+1

		If Rd > 50 Then Begin
			If TellRoom = '' Then
				If ReadRoom(PlyrErm) = 1 Then 
					TellRoom:=RoomName
			WriteLn(WhoHere + '|02: |11Oh yes!  I saw |14' + PlyrEnmy + ' |11' + TellRoom)
		End Else Begin
			If Rd1 < 1 Then Rd1:=Random(100)+1
			If Rd1 <= 50 Then 
				WriteLn(WhoHere + '|02: |11Nope!  Havn''t seen ''em.')
			Else Begin
				Write(WhoHere + '|02: |11Sure did!')
				I2:=0
				For I1:=1 to ItemCnt Do Begin
					If ReadItem(I1) = 1 Then 
						If ItemLoc = 500 Then
							I2:=I1
						Else
							TellItem:=ItemName
				End
				If I2 > 0 then Begin
					If ReadItem(I2) = 1 Then
						WriteLn('  He was carrying a |14' + TellItem + '|11 too!')
					Else
						WriteLn('  But I didn''t see what he was carrying.')
				End
			End
		End
	End	
	Pause
End

Procedure Check4Enmy
Begin
	If PlyrErm=PlyrRoom Then Begin
		Dispfile('foundem')
		goToXy(24,6) Write('|20|14'+PlyrEnmy+'|16')
		Ttxt2:=Input(1,1,10,'')
	End
End

Procedure Summary
Begin
	WriteLn('|CRYou were successful!')
	WriteLn('You stalked and killed ' + PlyrEnmy + ' in ' + Int2Str(PlyrMoves) + ' moves with a ' + POffStr)
	Pause
	halt
End

Procedure PopEnmyItem
Begin
	I1:=1
	While ReadItem(I1) = 1 Do Begin
		I1:=I1+1
		If ItemLoc = 500 Then Begin
			If ItemType <= WeaCnt Then Begin
				EOff:=ItemType
				EOffStr:=ItemName
			End
			If ItemType > WeaCnt Then Begin
				EDef:=ItemType
				EDefStr:=ItemName
			End
		End
	End
End

Procedure Attack
Begin
	PopEnmyItem
	WriteLn('|CR|CR|14' + PlyrEnmy + ' |11is wearing a |12' + EDefStr)
	WriteLn('|11and is wielding a |09' + EOffStr)
	Write('|11Do you want to |06(|14A|06)|11ttack or |06(|14R|06)un? |06(|14A|06/|14R|06)|11: ')
	If OneKey('AR',true) <> 'A' Then
		WriteLn('|CRHe who waits and runs away, lives to fight another day.')
	Else Begin
		WriteLn('|CR|14Chose your weapon')
		I1:=1
		Found2:=False
		While ReadItem(I1) = 1 Do Begin
			If ItemLoc = 0 and ItemType <= WeaCnt Then Begin
				WriteLn('     |09(|14'+Int2Str(I1)+'|09) |11'+ItemName)
				Found2:=True
			End
			I1:=I1+1
		End
		If not Found2 then Begin
			WriteLn('|CR|12You do not have |01ANY |12weapons!  You cannot attack!')
			WriteLn('|CR|14' + PlyrEnmy + ' |11attacks you with a |09' + EOffStr + '|11!')
			If PDef > 0 Then
				WriteLn('|CR|11You counter with a |14' + PDefStr + '|11!')
			Else
				WriteLn('|CR|12You have no defenses!')
			If EOff + WeaCnt = PDef then Begin
				WriteLn('|CR|11You successfully counter his attack!')
				WriteLn('|07Change weapons and try again!')
			End
			If EOff + WeaCnt <> PDef then Begin
				WriteLn('|CR|14'+PlyrEnmy + ' |11has successfully killed you!')
				SaveNews('|14 ' + PlyrName + ' |11got himself killed by his Enemy, |10' + PlyrEnmy + '|11!')
				SaveNews('|11   And it took him |12' + Int2Str(PlyrMoves) + '|11 to do it!')
				SaveNews('                        |12-=-=-=-=-')
				Pause
				Halt
			End
		End
		If Found2 Then Begin
			Write('|CRWeapon #: ')
			I2:=Str2Int(Input(4,4,11,''))
			If ReadItem(I2) = 1 Then Begin
				If ItemType > WeaCnt or ItemLoc <> 0 Then 
					WriteLn('|CR|11You don''t have that!  Chose something else!')
				Else Begin
					POff:=ItemType
					POffStr:=ItemName
				End
			End
			If POff + WeaCnt = EOff Then Begin
				WriteLn('|CR|14' + PlyrEnmy + ' |11is protected aginst your |14' + POffStr )
				WriteLn('|11by wearing a |19' + EDefStr + '|11!')
				WriteLn('|CR|12Your attack fails!')
				WriteLn('|CR|14' + PlyrEnmy + ' |11attacks you with a |14' + EOffStr + '|11!')
				WriteLn('|CR|11You counter with a |09' + PDefStr + '|11!')
				If EOff + WeaCnt = PDef then Begin
					WriteLn('|CR|11You successfully counter his attack!')
					WriteLn('|11Change weapons and try again!')
				End
				If EOff + WeaCnt <> PDef then Begin
					WriteLn('|CR|14'+PlyrEnmy + ' |11has succeeded in killing you!')
					SaveNews('|14 ' + PlyrName + ' |11got himself killed by his Enemy, |10' + PlyrEnmy + '|11!')
					SaveNews('|11   And it took him |12' + Int2Str(PlyrMoves) + '|11 to do it!')
					SaveNews('                        |12-=-=-=-=-')
					Pause
					Halt
				End
			End
			If POff + WeaCnt <> EOff Then Begin
				WriteLn('|CR|14' + PlyrEnmy + '''s |09' + EDefStr + ' |11was no match for')
				WriteLn('your |12'+ POffStr + '|11!  You are victorius!')
				SaveNews('|14 '+PlyrName + ' |08Stalked and Killed his ArchEnemy, |12' + PlyrEnmy )
				SaveNews('|08 with a |14' + POffStr + '|08 in |09' + Int2Str(PlyrMoves) + '|08 moves.')
				SaveNews('                        |12-=-=-=-=-')
				Summary
			End
		End
	End
	Pause
End

Procedure ShowMaps
Var Ch3	: Char
Begin
	Repeat
		WriteLn('|CL|14'+ProgName+' '+ProgVer+' |11by |10'+ProgAuth)
		WriteLn('')
		WriteLn('|11Display Maps')
		WriteLn('')
		Write('|11Which Floor? |09[|141|11-|143|11,|14Q|09]')
		Ch3:=OneKey('123Q',True)	
		If Ch3 <> 'Q' Then DispFile('mansmap'+Ch3)
	Until Ch3 = 'Q'
End

Procedure PlayGame
Begin
	InitPlyr
	Done2:=False
	While Not Done2 Do Begin
		Check4Enmy
		WhereAreWe
		PeopleISee
		ThingsISee
		WeCanGoTo
		WriteLn('-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=')
		If PlyrErm = PlyrRoom Then
			Write('|06(|14A|06)|11ttack ' + PadRt(WhoHere,13,' '))
		Else
			Write('|06(|14A|06)|11sk ' + PadRt(WhoHere,16,' '))
		WriteLn('|06(|14Q|06)|11uit    |06(|14T|06)|11ake Item ')
		WriteLn('|06(|14Y|06)|11our Status         |06(|14M|06)|11ap     |06(|14L|06)|11eave Item')
		Write('|CR|12'+ProgName + ' |14[|06'+PadLt(Int2Str(PlyrMoves),3,'0')+'|14]|11-)> ')
		Ch2:=OneKey('AQTYLNSEWUDHM',True)
		Case Ch2 Of
			'Q' : Begin
				WriteLn('|CRQuitting now will end this game.')
				If InputYN('Really Quit? ') Then Begin
					SaveNews(' |14' + PlyrName + '|07 took the cowards'' way out and quit after only |09' + Int2Str(PlyrMoves) + '|07 moves.')
					SaveNews('                        |12-=-=-=-=-')
				End
				Done2:=True
		     	      End
			'N' : GoDir('NORTH')
			'S' : GoDir('SOUTH')
			'E' : GoDir('EAST')
			'W' : GoDir('WEST')
			'U' : GoDir('UP')
			'D' : GoDir('DOWN')
			'T' : TakeItem	
			'L' : DropItem	
			'Y' : YourInfo	
			'A' : Begin 
				If PlyrRoom = PlyrErm Then
					Attack
				Else
					HearPlyr	
			      End
			'M' : ShowMaps
		End
	End
End

Begin
	GetThisUser
	SysopLog(UserAlias+' Played MANSION')
	MenuCmd('NA',ProgName)

	NewsF:='mmnews'
	OldsF:='mmolds'

	Case ParamCount Of
		1:	NewsF:=ParamStr(1)
		2:	OldsF:=ParamStr(2)
	End

	F1:=CfgDataPath+MapFile
	F2:=CfgTextPath+NewsF+'.ans'
	F9:=CfgTextPath+OldsF+'.ans'
	F3:=CfgDataPath+ItemFile
	F4:=CfgSysPath+'temp'+Int2Str(NodeNum)+PathChar+ItemFile
	F5:=CfgSysPath+'temp'+Int2Str(NodeNum)+PathChar+ItemFile+'.tmp'

	InitGame
	Done1:=False
	While Not Done1 Do Begin
		WriteLn('|CL')
		WriteLn('|10                            Welcome To')
		WriteLn('|11                          '+ProgName)
		WriteLn('|12                        A Mystic BBS Game')
		WriteLn('|13                    By '+ProgAuth)
		WriteLn('')
		WriteLn('|11                       There Are |10'+Int2Str(RoomCnt) + '|11 Rooms')
		WriteLn('')
		WriteLn('                         |09(|14E|09)|11nter Mansion')
		WriteLn('                         |09(|14T|09)|11oday''s Minstral')
		WriteLn('                         |09(|14Y|09)|11esterday''s Minstral')
		WriteLn('                         |09(|14I|09)|11nstructions ')	
		WriteLn('                         |09(|14Q|09)|11uit to BBS')	
		Write  ('|CR                         Your Command: -> ')
		Ch1:=OneKey('ETYIQ',True)
		Case Ch1 Of
			'Q' : Done1:=True
			'I' : DispFile('mansion.hlp')
			'Y' : Begin
				DispFile(F9)
				Write('|PA')
			      End
			'T' : Begin
			        DispFile(F2)
				Write('|PA')
                              End
			'E' : PlayGame
		End
	End
End

